Description

The new GtkToolbar brought a really annoying bug:

If you make a mouse click under/above the time slider, the cursor becomes a "fist" (hard to explain)
and you can't do anything except moving the cursor.

GTK+ 3.4.1
audacious-git (25th April)
Theme: Orion and Greybird tested

For a better explanation, a short video is attached.

History

#1 - April 25,2012 01:13 - Thomas Lange

Forgot to complete the title but can't edit it anymore.
Sorry, please change it to "New GtkToolbar: cursor focus bug"

#2 - April 25, 2012 01:44 - Michat Lipski

- Subject changed from New GtkToolbar: to New GtkToolbar: cursor focus bug

#3 - April 25, 2012 01:46 - Michat Lipski

| can't reproduce it. GTK+ 3.4.1, tested with Orion and Adwaita themes.

#4 - April 25,2012 14:00 - Thomas Lange

Could it be related to XFCE? I just tried reproducing with Gnome 3 and was unable to do it.
But there's still a problem: the time slider and the time label get paused (as shown in the video).
Are you able to reproduce this?

#5 - April 25, 2012 14:20 - Michat Lipski

Hmm, actually yeah. When | click on the toolbar, the time slider and the time label get paused.

It seems that "button-press-event" signal gets emitted for the slider... but there's no "button-release-event" afterwards.

#6 - April 27,2012 07:11 - John Lindgren

- Status changed from New to Rejected

We don't do anything special with cursors, or even look at any mouse events on the toolbar, so this is definitely a GTK+ bug. Closing.

#7 - April 28, 2012 14:50 - Thomas Lange

July 15, 2025

1/2




Downgrading GTK+ to 3.2 fixed the cursor problem, so it is actually a regression in GTK+.
The slider/label pausing remains the same.

Do you think the cursor related issue needs to be reported to XFCE or GTK+?

#8 - May 03, 2012 16:39 - Thomas Lange
The problem is "GTK_STYLE_CLASS_PRIMARY_TOOLBAR" in ui_gtk.c.

Replacing it with "GTK_STYLE_CLASS_TOOLBAR" or commenting the two context lines fixes this bug.

But the toolbar loses its different appearance.
